summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2021-04-14 16:23:42 -0400
committerMatt Turner <mattst88@gentoo.org>2021-04-14 16:45:21 -0400
commita3dc2de5809cd4355ed09eb643ff6f86bf28eca5 (patch)
tree48b5004b2a911f1257fc4f17902a9c10d2bbebf2 /gnome-extra/gnome-shell-frippery
parentgui-libs/libhandy: Version bump to 1.2.1 (diff)
downloadgentoo-a3dc2de5809cd4355ed09eb643ff6f86bf28eca5.tar.gz
gentoo-a3dc2de5809cd4355ed09eb643ff6f86bf28eca5.tar.bz2
gentoo-a3dc2de5809cd4355ed09eb643ff6f86bf28eca5.zip
gnome-extra/gnome-shell-frippery: Version bump to 40.0
Signed-off-by: Matt Turner <mattst88@gentoo.org>
Diffstat (limited to 'gnome-extra/gnome-shell-frippery')
-rw-r--r--gnome-extra/gnome-shell-frippery/Manifest1
-rw-r--r--gnome-extra/gnome-shell-frippery/gnome-shell-frippery-40.0.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/gnome-extra/gnome-shell-frippery/Manifest b/gnome-extra/gnome-shell-frippery/Manifest
index 81ed4f3ad8d..88a2d6ed82e 100644
--- a/gnome-extra/gnome-shell-frippery/Manifest
+++ b/gnome-extra/gnome-shell-frippery/Manifest
@@ -1 +1,2 @@
DIST gnome-shell-frippery-3.38.0.tgz 82248 BLAKE2B c36b7e01b15cfe61af93377b22a2baa967846dbc69c0a9667352a80a7db62f554e9f66d3990cdbc932096d371c1bf46d300c25a2eb523adc6cbb90d8e9c4d9d0 SHA512 16d212a0fd6ce1625eabf6dced3d64bfb9635e4a67c131c5a9c57041cb53530bb9e514af24190599ff7324016ae86524455091c507f0bfef39ed2d57b3b1cbed
+DIST gnome-shell-frippery-40.0.tgz 82308 BLAKE2B 2466880cc04a46a8177640a19fa9ed89d784a34fbaa7a65d6948732d0794f270573df8d108c9a74c78296d2bd1565c4d3493caf4086a6f574e7e17b950eeb7db SHA512 68e2cc452df26a7c806f62b3ed2864ebaf766495ba47991531167e63aa87b2baeb301b83d2f288ad87802e7b2220576108d6962386ac5ee08fb3d89024d8bca2
diff --git a/gnome-extra/gnome-shell-frippery/gnome-shell-frippery-40.0.ebuild b/gnome-extra/gnome-shell-frippery/gnome-shell-frippery-40.0.ebuild
new file mode 100644
index 00000000000..fc8efefccf2
--- /dev/null
+++ b/gnome-extra/gnome-shell-frippery/gnome-shell-frippery-40.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Unofficial extension pack providing GNOME 2-like features for GNOME 3"
+HOMEPAGE="http://frippery.org/extensions/index.html"
+SRC_URI="http://frippery.org/extensions/${P}.tgz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ app-eselect/eselect-gnome-shell-extensions
+ >=dev-libs/gjs-1.29
+ dev-libs/gobject-introspection:=
+ gnome-base/gnome-menus:3[introspection]
+ >=gnome-base/gnome-shell-3.38
+ media-libs/clutter:1.0[introspection]
+ x11-libs/pango[introspection]
+"
+DEPEND=""
+
+S="${WORKDIR}/.local/share/gnome-shell"
+
+src_install() {
+ insinto /usr/share/gnome-shell/extensions
+ doins -r extensions/*@*
+ dodoc gnome-shell-frippery/{CHANGELOG,README}
+}
+
+pkg_postinst() {
+ ebegin "Updating list of installed extensions"
+ eselect gnome-shell-extensions update
+ eend $?
+}